/*
 * text-align
 */

.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.text-justify{text-align:justify}.text-nomargin-top{margin-top:0}.text-nomargin-top.text >:first-child{margin-top:0}.text-nomargin-bottom{margin-bottom:0}.text-nomargin-bottom.text >:last-child{margin-bottom:0}


.form-submit-success,.form-submit-error{opacity:0;transition:none;overflow:hidden}form:not(.success) .form-submit-success,form:not(.error) .form-submit-error{max-height:0;padding:0;margin:0;border-width:0px}form.success .form-submit-success,form.error .form-submit-error{opacity:1;transition:opacity 500ms ease}.form-submit-processing{opacity:0;pointer-events:none;transition:opacity 500ms ease}form:not(.processing) .form-submit-processing{max-height:0}form.processing *{pointer-events:none}form.processing .form-submit-processing{opacity:1;pointer-events:auto}.processing-modal.absolute,.processing-modal.fixed{background-color:var(--overlay-color);border-radius:inherit;position:absolute;top:0;left:0;right:0;bottom:0}.processing-modal.absolute .processing-circle,.processing-modal.fixed .processing-circle{position:absolute;top:0;bottom:0;left:0;right:0;margin:auto}.processing-modal.fixed{position:fixed}




